Companies
The company is the enterprise where the employee belongs and the owner of the access control or attendance tracking devices. It is important to know that employees from one company cannot be sent to devices of another company. The employee PIN is unique for each company; it's as if they were different accounts. This is designed for an implementing company that has multiple clients at once or if you want to keep logic completely separate while visualizing it all together. Billing is done by workspaces, so everything falls within the workspace account and limits. 1 company is free by default.
Endpointsβ
Create companyβ
POST
/public/v2/companies
Request Body (application/json)β
{
"company": {
"id": 0,
"name": "string",
"code": "string"
}
}
Fields:
- company (object)
Responsesβ
- 201: Created
Show companyβ
GET
/public/v2/companies/{id}
Parametersβ
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Yes |
Responsesβ
- 200: OK
Update companyβ
PUT
/public/v2/companies/{id}
Parametersβ
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Yes |
Request Body (application/json)β
{
"company": {
"id": 0,
"name": "string",
"code": "string"
}
}
Fields:
- company (object)
Responsesβ
- 200: OK